Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Pair Class Template Reference

Defines a pair. More...

`#include <Pair_T.h>`

List of all members.

## Public Types
typedef T1 | first_type
typedef T2 | second_type
## Public Methods
| ACE_Pair (const T1 &t1, const T2 &t2)
| Constructor.
| ACE_Pair (void)
| Default constructor.
T1& | first (void)
| Get/Set first.
const T1& | first (void) const
void | first (const T1 &t1)
T2& | second (void)
| Access second.
const T2& | second (void) const
void | second (const T2 &t2)
## Protected Attributes
T1 | first_
T2 | second_

## Detailed Description

### template<class T1, class T2> template class ACE_Pair

Defines a pair.

Similar to the STL pair.

## Member Typedef Documentation

template<classT1, classT2>
typedef T1 ACE_Pair<T1, T2>::first_type

template<classT1, classT2>
typedef T2 ACE_Pair<T1, T2>::second_type

## Constructor & Destructor Documentation

template<classT1, classT2>
ACE_INLINE ACE_Pair< T1,T2 >::ACE_Pair<T1, T2> ( | const T1 & t1,
| const T2 & t2 )

| Constructor.

template<classT1, classT2>
ACE_INLINE ACE_Pair< T1,T2 >::ACE_Pair<T1, T2> ( | void )

| Default constructor.

## Member Function Documentation

template<classT1, classT2>
ACE_INLINE void ACE_Pair< T1,T2 >::first ( | const T1 & t1 )

template<classT1, classT2>
ACE_INLINE const T1 & ACE_Pair< T1,T2 >::first ( | void ) const

template<classT1, classT2>
ACE_INLINE T1 & ACE_Pair< T1,T2 >::first ( | void )

| Get/Set first.

template<classT1, classT2>
ACE_INLINE void ACE_Pair< T1,T2 >::second ( | const T2 & t2 )

template<classT1, classT2>
ACE_INLINE const T2 & ACE_Pair< T1,T2 >::second ( | void ) const

template<classT1, classT2>
ACE_INLINE T2 & ACE_Pair< T1,T2 >::second ( | void )

| Access second.

## Member Data Documentation

template<classT1, classT2>
T1 ACE_Pair<T1, T2>::first_`[protected]`

template<classT1, classT2>
T2 ACE_Pair<T1, T2>::second_`[protected]`

The documentation for this class was generated from the following files:

- Pair_T.h
- Pair_T.i